/*
   چهارشنبه, 07 مرداد 1405 - 10:20:22 ب.ظ
   User: 
   Server: TAHERIAN
   Database: ATNDB
   Application: 
*/

Use ATNDBTest
Go
/*=============================================================================================================*/
BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
COMMIT

Declare @OfficeDetailRef Bigint
Declare @RecorderRef Bigint
Declare OfficeDetail_Cursor Cursor Local For Select Serial From OfficeDetail 
Open OfficeDetail_Cursor
Fetch OfficeDetail_Cursor Into @OfficeDetailRef
While @@FETCH_STATUS = 0
Begin
	-- ممکنه کد یک نداشته باشیم برای همین اولین کد را برمیداریم
	Select Top(1) @RecorderRef = Serial From Users Where OfficeDetailRef = @OfficeDetailRef Order By Code

	Begin Try
		Insert Into PAY.Factor (Code, Symbol, FADes, ENDes, FactorGroupRef, FactorCategoryRef, FactorClassRef, Periority, Formula, IncludedSSI, IncludedTax, TaxMethod, TaxPercent, AccAdjutantL1CodeBookRef, Active, RecorderRef, RecordDate, EditorRef, EditDate, Comment, OfficeDetailRef) VALUES (dbo.new_Code('PAY.Factor','1',@OfficeDetailRef,''), N'Pay40', N'حق الزحمه/مشاوره/حضور/نظارت/تالیف/فنی', N'حق الزحمه/مشاوره/حضور/نظارت/تالیف/فنی', 10, 11, 1, 40, N'Pay40', 0, 0, 1, 10, NULL, 0, @RecorderRef, dbo.Solar_Date_Converter(getdate()), Null, Null, Null, @OfficeDetailRef)
	End Try
	Begin Catch
		-- اگر در حین ثبت عوامل حقوقی به خطای تکراری بودن برخوردیم لازم نیست کاری انجام شود
		--                   و ادامه می‌دهیم تا الباقی عوامل حقوقی برای بقیه دفاتر ثبت گردد
	End Catch	
	Begin Try
		Insert Into PAY.Factor (Code, Symbol, FADes, ENDes, FactorGroupRef, FactorCategoryRef, FactorClassRef, Periority, Formula, IncludedSSI, IncludedTax, TaxMethod, TaxPercent, AccAdjutantL1CodeBookRef, Active, RecorderRef, RecordDate, EditorRef, EditDate, Comment, OfficeDetailRef) VALUES (dbo.new_Code('PAY.Factor','1',@OfficeDetailRef,''), N'Pay41', N'قرارداد تحقیقاتی - پژوهشی', N'قرارداد تحقیقاتی - پژوهشی', 10, 11, 1, 41, N'Pay41', 0, 0, 1, 10, NULL, 0, @RecorderRef, dbo.Solar_Date_Converter(getdate()), Null, Null, Null, @OfficeDetailRef)
	End Try
	Begin Catch
		-- اگر در حین ثبت عوامل حقوقی به خطای تکراری بودن برخوردیم لازم نیست کاری انجام شود
		--                   و ادامه می‌دهیم تا الباقی عوامل حقوقی برای بقیه دفاتر ثبت گردد
	End Catch	
	Begin Try
		Insert Into PAY.Factor (Code, Symbol, FADes, ENDes, FactorGroupRef, FactorCategoryRef, FactorClassRef, Periority, Formula, IncludedSSI, IncludedTax, TaxMethod, TaxPercent, AccAdjutantL1CodeBookRef, Active, RecorderRef, RecordDate, EditorRef, EditDate, Comment, OfficeDetailRef) VALUES (dbo.new_Code('PAY.Factor','1',@OfficeDetailRef,''), N'Pay42', N'حق التدریس، حق التحقیق، حق پژوهش', N'حق التدریس، حق التحقیق، حق پژوهش', 10, 11, 1, 42, N'Pay42', 0, 0, 1, 10, NULL, 0, @RecorderRef, dbo.Solar_Date_Converter(getdate()), Null, Null, Null, @OfficeDetailRef)
	End Try
	Begin Catch
		-- اگر در حین ثبت عوامل حقوقی به خطای تکراری بودن برخوردیم لازم نیست کاری انجام شود
		--                   و ادامه می‌دهیم تا الباقی عوامل حقوقی برای بقیه دفاتر ثبت گردد
	End Catch	
	Begin Try
		Insert Into PAY.Factor (Code, Symbol, FADes, ENDes, FactorGroupRef, FactorCategoryRef, FactorClassRef, Periority, Formula, IncludedSSI, IncludedTax, TaxMethod, TaxPercent, AccAdjutantL1CodeBookRef, Active, RecorderRef, RecordDate, EditorRef, EditDate, Comment, OfficeDetailRef) VALUES (dbo.new_Code('PAY.Factor','1',@OfficeDetailRef,''), N'Pay43', N'حق کشیک', N'حق کشیک', 10, 11, 1, 43, N'Pay43', 0, 0, 1, 10, NULL, 0, @RecorderRef, dbo.Solar_Date_Converter(getdate()), Null, Null, Null, @OfficeDetailRef)
	End Try
	Begin Catch
		-- اگر در حین ثبت عوامل حقوقی به خطای تکراری بودن برخوردیم لازم نیست کاری انجام شود
		--                   و ادامه می‌دهیم تا الباقی عوامل حقوقی برای بقیه دفاتر ثبت گردد
	End Catch	
	Begin Try
		Insert Into PAY.Factor (Code, Symbol, FADes, ENDes, FactorGroupRef, FactorCategoryRef, FactorClassRef, Periority, Formula, IncludedSSI, IncludedTax, TaxMethod, TaxPercent, AccAdjutantL1CodeBookRef, Active, RecorderRef, RecordDate, EditorRef, EditDate, Comment, OfficeDetailRef) VALUES (dbo.new_Code('PAY.Factor','1',@OfficeDetailRef,''), N'Pay44', N'رفاهی، انگیزشی و بهره‌وری', N'رفاهی، انگیزشی و بهره‌وری', 10, 11, 1, 44, N'Pay44', 0, 0, 1, 10, NULL, 0, @RecorderRef, dbo.Solar_Date_Converter(getdate()), Null, Null, Null, @OfficeDetailRef)
	End Try
	Begin Catch
		-- اگر در حین ثبت عوامل حقوقی به خطای تکراری بودن برخوردیم لازم نیست کاری انجام شود
		--                   و ادامه می‌دهیم تا الباقی عوامل حقوقی برای بقیه دفاتر ثبت گردد
	End Catch	
	Begin Try
		Insert Into PAY.Factor (Code, Symbol, FADes, ENDes, FactorGroupRef, FactorCategoryRef, FactorClassRef, Periority, Formula, IncludedSSI, IncludedTax, TaxMethod, TaxPercent, AccAdjutantL1CodeBookRef, Active, RecorderRef, RecordDate, EditorRef, EditDate, Comment, OfficeDetailRef) VALUES (dbo.new_Code('PAY.Factor','1',@OfficeDetailRef,''), N'Pay45', N'حق السعی', N'حق السعی', 10, 11, 1, 45, N'Pay45', 0, 0, 1, 10, NULL, 0, @RecorderRef, dbo.Solar_Date_Converter(getdate()), Null, Null, Null, @OfficeDetailRef)
	End Try
	Begin Catch
		-- اگر در حین ثبت عوامل حقوقی به خطای تکراری بودن برخوردیم لازم نیست کاری انجام شود
		--                   و ادامه می‌دهیم تا الباقی عوامل حقوقی برای بقیه دفاتر ثبت گردد
	End Catch	
	Begin Try
		Insert Into PAY.Factor (Code, Symbol, FADes, ENDes, FactorGroupRef, FactorCategoryRef, FactorClassRef, Periority, Formula, IncludedSSI, IncludedTax, TaxMethod, TaxPercent, AccAdjutantL1CodeBookRef, Active, RecorderRef, RecordDate, EditorRef, EditDate, Comment, OfficeDetailRef) VALUES (dbo.new_Code('PAY.Factor','1',@OfficeDetailRef,''), N'Pay46', N'هزینه سفر', N'هزینه سفر', 10, 11, 1, 46, N'Pay46', 0, 0, 1, 10, NULL, 0, @RecorderRef, dbo.Solar_Date_Converter(getdate()), Null, Null, Null, @OfficeDetailRef)
	End Try
	Begin Catch
		-- اگر در حین ثبت عوامل حقوقی به خطای تکراری بودن برخوردیم لازم نیست کاری انجام شود
		--                   و ادامه می‌دهیم تا الباقی عوامل حقوقی برای بقیه دفاتر ثبت گردد
	End Catch	
	Begin Try
		Insert Into PAY.Factor (Code, Symbol, FADes, ENDes, FactorGroupRef, FactorCategoryRef, FactorClassRef, Periority, Formula, IncludedSSI, IncludedTax, TaxMethod, TaxPercent, AccAdjutantL1CodeBookRef, Active, RecorderRef, RecordDate, EditorRef, EditDate, Comment, OfficeDetailRef) VALUES (dbo.new_Code('PAY.Factor','1',@OfficeDetailRef,''), N'Pay47', N'پاداش آخر سال', N'پاداش آخر سال', 10, 11, 1, 47, N'Pay47', 0, 0, 1, 10, NULL, 0, @RecorderRef, dbo.Solar_Date_Converter(getdate()), Null, Null, Null, @OfficeDetailRef)
	End Try
	Begin Catch
		-- اگر در حین ثبت عوامل حقوقی به خطای تکراری بودن برخوردیم لازم نیست کاری انجام شود
		--                   و ادامه می‌دهیم تا الباقی عوامل حقوقی برای بقیه دفاتر ثبت گردد
	End Catch	
	Begin Try
		Insert Into PAY.Factor (Code, Symbol, FADes, ENDes, FactorGroupRef, FactorCategoryRef, FactorClassRef, Periority, Formula, IncludedSSI, IncludedTax, TaxMethod, TaxPercent, AccAdjutantL1CodeBookRef, Active, RecorderRef, RecordDate, EditorRef, EditDate, Comment, OfficeDetailRef) VALUES (dbo.new_Code('PAY.Factor','1',@OfficeDetailRef,''), N'Pay48', N'پاداش پایان خدمت', N'پاداش پایان خدمت', 10, 11, 1, 48, N'Pay48', 0, 0, 1, 10, NULL, 0, @RecorderRef, dbo.Solar_Date_Converter(getdate()), Null, Null, Null, @OfficeDetailRef)
	End Try
	Begin Catch
		-- اگر در حین ثبت عوامل حقوقی به خطای تکراری بودن برخوردیم لازم نیست کاری انجام شود
		--                   و ادامه می‌دهیم تا الباقی عوامل حقوقی برای بقیه دفاتر ثبت گردد
	End Catch	
	Begin Try
		Insert Into PAY.Factor (Code, Symbol, FADes, ENDes, FactorGroupRef, FactorCategoryRef, FactorClassRef, Periority, Formula, IncludedSSI, IncludedTax, TaxMethod, TaxPercent, AccAdjutantL1CodeBookRef, Active, RecorderRef, RecordDate, EditorRef, EditDate, Comment, OfficeDetailRef) VALUES (dbo.new_Code('PAY.Factor','1',@OfficeDetailRef,''), N'Pay49', N'عیدی سالانه', N'عیدی سالانه', 10, 11, 1, 49, N'Pay49', 0, 0, 1, 10, NULL, 0, @RecorderRef, dbo.Solar_Date_Converter(getdate()), Null, Null, Null, @OfficeDetailRef)
	End Try
	Begin Catch
		-- اگر در حین ثبت عوامل حقوقی به خطای تکراری بودن برخوردیم لازم نیست کاری انجام شود
		--                   و ادامه می‌دهیم تا الباقی عوامل حقوقی برای بقیه دفاتر ثبت گردد
	End Catch	
	Begin Try
		Insert Into PAY.Factor (Code, Symbol, FADes, ENDes, FactorGroupRef, FactorCategoryRef, FactorClassRef, Periority, Formula, IncludedSSI, IncludedTax, TaxMethod, TaxPercent, AccAdjutantL1CodeBookRef, Active, RecorderRef, RecordDate, EditorRef, EditDate, Comment, OfficeDetailRef) VALUES (dbo.new_Code('PAY.Factor','1',@OfficeDetailRef,''), N'Pay50', N'خسارت اخراج', N'خسارت اخراج', 10, 11, 1, 50, N'Pay50', 0, 0, 1, 10, NULL, 0, @RecorderRef, dbo.Solar_Date_Converter(getdate()), Null, Null, Null, @OfficeDetailRef)
	End Try
	Begin Catch
		-- اگر در حین ثبت عوامل حقوقی به خطای تکراری بودن برخوردیم لازم نیست کاری انجام شود
		--                   و ادامه می‌دهیم تا الباقی عوامل حقوقی برای بقیه دفاتر ثبت گردد
	End Catch	
	Begin Try
		Insert Into PAY.Factor (Code, Symbol, FADes, ENDes, FactorGroupRef, FactorCategoryRef, FactorClassRef, Periority, Formula, IncludedSSI, IncludedTax, TaxMethod, TaxPercent, AccAdjutantL1CodeBookRef, Active, RecorderRef, RecordDate, EditorRef, EditDate, Comment, OfficeDetailRef) VALUES (dbo.new_Code('PAY.Factor','1',@OfficeDetailRef,''), N'Pay51', N'بازخرید خدمت', N'بازخرید خدمت', 10, 11, 1, 51, N'Pay51', 0, 0, 1, 10, NULL, 0, @RecorderRef, dbo.Solar_Date_Converter(getdate()), Null, Null, Null, @OfficeDetailRef)
	End Try
	Begin Catch
		-- اگر در حین ثبت عوامل حقوقی به خطای تکراری بودن برخوردیم لازم نیست کاری انجام شود
		--                   و ادامه می‌دهیم تا الباقی عوامل حقوقی برای بقیه دفاتر ثبت گردد
	End Catch	
	Begin Try
		Insert Into PAY.Factor (Code, Symbol, FADes, ENDes, FactorGroupRef, FactorCategoryRef, FactorClassRef, Periority, Formula, IncludedSSI, IncludedTax, TaxMethod, TaxPercent, AccAdjutantL1CodeBookRef, Active, RecorderRef, RecordDate, EditorRef, EditDate, Comment, OfficeDetailRef) VALUES (dbo.new_Code('PAY.Factor','1',@OfficeDetailRef,''), N'Pay52', N'حقوق ایام مرخصی استفاده نشده', N'حقوق ایام مرخصی استفاده نشده', 10, 11, 1, 52, N'Pay52', 0, 0, 1, 10, NULL, 0, @RecorderRef, dbo.Solar_Date_Converter(getdate()), Null, Null, Null, @OfficeDetailRef)
	End Try
	Begin Catch
		-- اگر در حین ثبت عوامل حقوقی به خطای تکراری بودن برخوردیم لازم نیست کاری انجام شود
		--                   و ادامه می‌دهیم تا الباقی عوامل حقوقی برای بقیه دفاتر ثبت گردد
	End Catch	
	Begin Try
		Insert Into PAY.Factor (Code, Symbol, FADes, ENDes, FactorGroupRef, FactorCategoryRef, FactorClassRef, Periority, Formula, IncludedSSI, IncludedTax, TaxMethod, TaxPercent, AccAdjutantL1CodeBookRef, Active, RecorderRef, RecordDate, EditorRef, EditDate, Comment, OfficeDetailRef) VALUES (dbo.new_Code('PAY.Factor','1',@OfficeDetailRef,''), N'Pay53', N'حق سنوات - مزایای پایان کار', N'حق سنوات - مزایای پایان کار', 10, 11, 1, 53, N'Pay53', 0, 0, 1, 10, NULL, 0, @RecorderRef, dbo.Solar_Date_Converter(getdate()), Null, Null, 'مبلغی معادل یک ماه حقوق به ازای هر سال خدمت', @OfficeDetailRef)
	End Try
	Begin Catch
		-- اگر در حین ثبت عوامل حقوقی یک دفتر مالی به خطای خوردیم لازم نیست کاری انجام شود
		--                       و ادامه می‌دهیم تا عوامل حقوقی برای الباقی دفاتر ثبت گردد
	End Catch	

	Fetch OfficeDetail_Cursor Into @OfficeDetailRef
End
Close OfficeDetail_Cursor
Deallocate OfficeDetail_Cursor
Go

